(function ($) {
  Drupal.behaviors.docebo_colorpicker = {
    attach: function(context) {
      $('.edit-docebo-colorpicker').each(function() {
        var _this = $(this);
        var picker = $(this).closest('div').find('.docebo-colorpicker');
        var f = $.farbtastic(picker, function(color) {
          _this.val(color);
          _this.css({
            'background-color': color,
            'color': f.RGBToHSL(f.unpack(color))[2] > 0.5 ? '#000' : '#fff'
          });
        });

        f.setColor($(this).val());
      });

      $('.edit-docebo-colorpicker').live('focus', function() {
        $(this).closest('div').find('.docebo-colorpicker').show();
      });

      $('.edit-docebo-colorpicker').live('blur', function() {
        $('.docebo-colorpicker').hide();  
      })
    }
  }

  Drupal.behaviors.custom_css = {
    attach: function(context) {
      if ($('.custom-css').length > 0) {
        var textareaWrapper = $('.custom-css').closest('.form-item');
        var textarea = $('.custom-css');

        if (textarea.val() == '') {
          textareaWrapper.hide();
        } else {
          $('.custom-css-toggle').remove();
        }

        $('.custom-css-toggle').live('click', function() {
          textareaWrapper.show();
          $(this).remove();
        });
      }
    }
  }

})(jQuery);
